services:
  survey-beta:
    image: surveybeta:dev
    container_name: "survey-beta"
    build:
      args:
        LAUNCHING_FROM_VS: true
        BUILD_CONFIGURATION: Debug
      target: base
      labels:
        com.microsoft.created-by: "visual-studio"
        com.microsoft.visual-studio.project-name: "survey-beta"
    environment:
      - DOTNET_USE_POLLING_FILE_WATCHER=1
      - ASPNETCORE_LOGGING__CONSOLE__DISABLECOLORS=true
      - NUGET_FALLBACK_PACKAGES=
    volumes:
      - C:\Users\alioa\Source\Repos\survey-beta2\survey-beta:/app:rw
      - C:\Users\alioa\Source\Repos\survey-beta2:/src:rw
      - C:\Users\alioa\vsdbg\vs2017u5:/remote_debugger:rw
      - C:\Users\alioa\.nuget\packages:/.nuget/packages:ro
      - C:\Users\alioa\AppData\Roaming\ASP.NET\Https:/root/.aspnet/https:ro
      - C:\Users\alioa\AppData\Roaming\ASP.NET\Https:/home/app/.aspnet/https:ro
      - C:\Users\alioa\AppData\Roaming\Microsoft\UserSecrets:/root/.microsoft/usersecrets:ro
      - C:\Users\alioa\AppData\Roaming\Microsoft\UserSecrets:/home/app/.microsoft/usersecrets:ro
      - E:\codz\MSBuild\Sdks\Microsoft.Docker.Sdk\tools\linux-x64\net8.0:/VSTools:ro
      - E:\codz\Common7\IDE\CommonExtensions\Microsoft\HotReload:/HotReloadAgent:ro

    entrypoint: "dotnet --roll-forward Major /VSTools/DistrolessHelper/DistrolessHelper.dll --wait"
    labels:
      com.microsoft.visualstudio.debuggee.program: "dotnet"
      com.microsoft.visualstudio.debuggee.arguments: " --additionalProbingPath /.nuget/packages  \"/app/bin/Debug/net8.0/survey-beta.dll\""
      com.microsoft.visualstudio.debuggee.workingdirectory: "/app"
      com.microsoft.visualstudio.debuggee.killprogram: "dotnet --roll-forward Major /VSTools/DistrolessHelper/DistrolessHelper.dll --stop dotnet"
    tty: true